<?php
include("includes/site_info.php");
include('session_handler.inc');

$WUserID = $_SESSION['Sess_UserId'];

$url_data = parse_url ( $_GET['page'] );
if($url_data['query']) {
	$request = $url_data['path'];
	$value = "?".$url_data['query'];
} else {
	$request = $_GET['page'];
}

switch($request)  {
	case 'getStart' : $page = header("Location: getstart.php"); break;
	case 'fbInvite' : $page = header("Location: fpinvite.php"); break;

	case 'inbox' : $page = header("Location: inbox.php"); break;
	
	case 'Incoming' : $page = header("Location: inbox-msg.php"); break;
	case 'Compose' : $page = header("Location: inbox-compose.php"); break;
	case 'Sent' : $page = header("Location: inbox-sent.php"); break;
	case 'Trash' : $page = header("Location: inbox-trash.php"); break;
	case 'Block' : $page = header("Location: inbox-block.php"); break;
	case 'folder' : $page = header("Location: inbox-folder.php"); break;

	case 'request' : $page = header("Location: alert-invitation.php"); break;
	case 'flirt' : $page = header("Location: inbox_flirt.php"); break;

	case 'profile_account' : $page = header("Location: profile_account_form.php"); break;
	case 'profile_basic' : $page = header("Location: profile_basic.php"); break;
	case 'profile_personal' : $page = header("Location: profile_personal.php"); break;
	case 'profile_photo' : $page = header("Location: profile_picture.php"); break;
	case 'profile_marketer' : $page = header("Location: profile_marketer.php"); break;
	case 'add_photo' : $page = header("Location: profile_picture_new.php"); break;
	case 'add_account' : $page = header("Location: profile_account_form_new.php"); break;
	case 'add_basic' : $page = header("Location: profile_basic_new.php"); break;
	case 'add_personal' : $page = header("Location: profile_personal_new.php"); break;

	case 'network_structureView' : $page = header("Location: network_structure.php"); break;
	case 'network_memberStatus' : $page = header("Location: member_status.php"); break;

	case 'account' : $page = ''; break;

	case 'mysite' : $page = header("Location: mysite.php"); break;

	case 'wauhh' : $page = header("Location: wauhh_main.php"); break;
	
	case 'profile' : $page = header("Location: profile.php"); break;
	case 'contact' : $page = header("Location: connect_all.php?RUserID=$WUserID&oView=contact"); break;
	case 'income' : $page = header("Location: income_progress.php"); break;
	case 'upgrade' : $page = header("Location: upgradeMem.php"); break;
	case 'investor' : $page = header("Location: invmsg.php"); break;
}

echo $page;

?>
